Subject: not quite RECORD:x

From: [email-masked]
Date: Tue, 18 Apr 2000 05:01:37 EDT

German ch, Russian kh, Spanish j or x (or g before e or i), Greek chi, Arabic 
(which
Arabic did we finally decide on? khaa?) but nothing to help a native speaker 
of Canadian French. Did anyone suggest a Parisian r (I don't think it is a 
Quebecois one) and then devoicing? Pretty close if there is another r handy.